// PoissonImageDlg.h : header file
//

#pragma once


// CPoissonImageDlg dialog
class CPoissonImageDlg : public CDialog
{
// Construction
public:
	CPoissonImageDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_POISSONIMAGE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	


// Implementation
public:
	FILE * fp;
	BYTE * day, * night, * mask, * fused;
	BYTE * rday, * bday, * gday, * rnight, * bnight, * gnight;
	double * gradHxday, * gradHyday, * gradHxnight, * gradHynight;
	int Width, Height, Widthbytes;
	CSliderCtrl * threshold;
public:
	void PaintBMP();
	void GenerateMask();
	void IntegrateOneChannel(double * gradHx1, double * gradHy1, BYTE * result);
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedLoadimage();
	afx_msg void OnBnClickedGeneratemask();
	afx_msg void OnNMReleasedcaptureThreshold(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedGradient();
	afx_msg void OnBnClickedGradx();
	afx_msg void OnBnClickedGrady();
};
